{***************************************************************************}
{ TMS IntraWeb Component Pack Pro                                           }
{ for Delphi & C++Builder                                                   }
{                                                                           }
{ written by TMS Software                                                   }
{            copyright © 2002 - 2008                                        }
{            Email : info@tmssoftware.com                                   }
{            Web : http://www.tmssoftware.com                               }
{                                                                           }
{ The source code is given as is. The author is not responsible             }
{ for any possible damage done due to the use of this code.                 }
{ The component can be freely used in any application. The complete         }
{ source code remains property of the author and may not be distributed,    }
{ published, given or sold in any form as such. No parts of the source      }
{ code can be included in any other component or application without        }
{ written authorization of the author.                                      }
{***************************************************************************}

unit IWDBTMSCtrlsReg;

{$I TMSDEFS.INC}

interface

uses
  Classes, IWDBTMSCtrls , IWDBScrollPanel, IWDBSmartPanel, IWDBTMSEdit,
  IWDBHTMLEdit, IWDBAdvRadioGroup, IWDBAdvCheckGroup
  ;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('TMS IW Data',[TTIWDBHTMLLabel,TTIWDBAdvEdit,TTIWDBAdvLUEdit,
    TTIWDBCalendar,TTIWDBDatePicker]);

  RegisterComponents('TMS IW Data',[TTIWDBScrollPanel]);
  RegisterComponents('TMS IW Data',[TTIWDBSmartPanel]);

  RegisterComponents('TMS IW Data',[TTIWDBAdvSpinEdit]);

  RegisterComponents('TMS IW Data',[TTIWDBHTMLEdit]);
  RegisterComponents('TMS IW Data',[TTIWDBCountryComboBox]);
  RegisterComponents('TMS IW Data',[TTIWDBStateComboBox]);

  RegisterComponents('TMS IW Data',[TTIWDBAdvSpinEdit, TTIWDBAdvDateEdit, TTIWDBAdvTimeEdit]);

  {$IFDEF TMSIW9}
  RegisterComponents('TMS IW Data',[TTIWDBAdvRadioGroup]);
  RegisterComponents('TMS IW Data',[TTIWDBAdvCheckGroup]);
  {$ENDIF}

end;

end.
 
